--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersCalendarInfo by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.1.3 - no change
-- Version 1.0.1.4 - no change
-- Version 1.0.1.5 - no change
-- Version 1.0.1.6 - no change
-- Version 1.0.1.7 - no change
-- Version 1.0.1.8 - no change
-- Version 1.0.1.9 - no change
-- Version 1.0.2.0 - no change
-- Version 1.0.2.1 - no change
-- Version 1.0.2.2 - no change
-- Version 1.0.2.3 - no change

--[[
function GameSettings:loadFromXML() end
function GameSettings:saveToXMLFile() end

MissionManager.AI_PRICE_MULTIPLIER
]]--

RealNumbersCalendarInfo = {};

function myPrint(text, number, textWidth, unit)
	print(string.format("%s =  %8.0f %s", text..string.rep(" ",textWidth-string.len(text)),number,"    "..unit));
end;

function RealNumbersCalendarInfo:loadMap(name)
	local textWidth = 40;
	RN = {};

	RN.notRunYetRealNumbersCalendarInfo = true;
	RN.upStartRealNumbersCalendarInfo = true;
	if g_currentMission.environment ~= nil then
		RN.currentMonotonicDay = g_currentMission.environment.currentMonotonicDay;
	else
		RN.currentMonotonicDay = 0;
	end;

--	g_gameSettings.SETTING.MONEY_UNIT = 1;   -- Does not work
	
--[[   Does not work
	local modSettingsDir = getUserProfileAppPath() .. "modSettings";
	if modSettingsDir == nil then
		print(" ");
		print("modSettingsDir undefined");
		print(" ");
	end;
	local savegameIndex = g_currentMission.missionInfo.savegameIndex;
	local RNmodSettingsDir = modSettingsDir .. "/RealLifeNumbers/savegame" .. savegameIndex;

	local myGameSettingsXML = RNmodSettingsDir.."/my_gameSettings.xml";
	local xmlSettingsFile = createXMLFile("mySettingsXML", myGameSettingsXML, "myGameSettings");
	RN.myGameSettingsXML = xmlSettingsFile;
	print(myGameSettingsXML);
]]--

	print("\n --- RealNumbersCalendarInfo.lua started : press lAlt-rt --- \n");

	local currentMonth = (g_currentMission.environment.currentPeriod + 2) % 12;	 -- March is apparently month 1
	if currentMonth == 0 then currentMonth = 12; end;
	local mapName = g_currentMission.missionInfo.mapTitle;
	print("\n --- "..mapName.. " --- \n");
	
	myPrint("current year",g_currentMission.environment.currentYear,textWidth," ");
	myPrint("current Season",g_currentMission.environment.currentSeason,textWidth," ");
	myPrint("current period",g_currentMission.environment.currentPeriod,textWidth," ");
	myPrint("current month",currentMonth,textWidth," ");
	myPrint("current year",g_currentMission.environment.currentYear,textWidth," ");	
	myPrint("current Day In Season",g_currentMission.environment.currentDayInSeason,textWidth," ");
	myPrint("days Per Period",g_currentMission.environment.daysPerPeriod,textWidth," ");
	myPrint("current Day In Period",g_currentMission.environment.currentDayInPeriod,textWidth," ");
	myPrint("current Monotonic Day",g_currentMission.environment.currentMonotonicDay,textWidth," ");
	myPrint("currentDay",g_currentMission.environment.currentDay,textWidth," ");
	myPrint("current Hour",g_currentMission.environment.currentHour,textWidth," ");
	myPrint("current Minute",g_currentMission.environment.currentMinute,textWidth," ");
	
	print("\n --- RealNumbersCalendarInfo.lua updates every 10 min --- \n");

end;


function RealNumbersCalendarInfo:keyEvent(unicode, sym, modifier, isDown)
	local textWidth = 40;

	if Input.isKeyPressed(Input.KEY_lalt) and Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_h) then
		print(" ");
		print("lAlt-rh     :  This overview");
		print("lAlt-ra     :  Animal information");
		print("lAlt-rc     :  Contract information");
		print("lAlt-rf     :  Field information");
		print("lAlt-rg     :  Growth information");
		print("lAlt-rt     :  Game day information");
		print("lAlt-ry     :  Yield information");
		print(" ");
	end;

	if Input.isKeyPressed(Input.KEY_lalt) and Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_t) then


		print("\n --- RealNumbersCalendarInfo.lua started : press lAlt-rt --- \n");
			
		local currentMonth = (g_currentMission.environment.currentPeriod + 2) % 12;	 -- March is apparently month 1
		if currentMonth == 0 then currentMonth = 12; end;
		local mapName = g_currentMission.missionInfo.mapTitle;
		print("\n --- "..mapName.. " --- \n");

		myPrint("current year",g_currentMission.environment.currentYear,textWidth," ");
		myPrint("current Season",g_currentMission.environment.currentSeason,textWidth," ");
		myPrint("current period",g_currentMission.environment.currentPeriod,textWidth," ");
		myPrint("current month",currentMonth,textWidth," ");
		myPrint("current year",g_currentMission.environment.currentYear,textWidth," ");	
		myPrint("current Day In Season",g_currentMission.environment.currentDayInSeason,textWidth," ");
		myPrint("days Per Period",g_currentMission.environment.daysPerPeriod,textWidth," ");
		myPrint("current Day In Period",g_currentMission.environment.currentDayInPeriod,textWidth," ");
		myPrint("current Monotonic Day",g_currentMission.environment.currentMonotonicDay,textWidth," ");
		myPrint("currentDay",g_currentMission.environment.currentDay,textWidth," ");
		myPrint("current Hour",g_currentMission.environment.currentHour,textWidth," ");
		myPrint("current Minute",g_currentMission.environment.currentMinute,textWidth," ");
		if RN.animalScaling ~= nil then
			if RN.animalScaling.isGrazingPeriod then
				print("current month is a grazing month");
			else
				print("curent month is not a grazing month");
			end;
		end;
		print("\n --- RealNumbersCalendarInfo.lua updates every 10 min --- \n");
	end;
end;

function RealNumbersCalendarInfo:update(dt)
	local textWidth = 40;
	local minute = g_currentMission.environment.currentMinute;
	local runMinute = minute % 10; -- remainder
--	local xmlFile = tostring(RN.myGameSettingsXML);
	if runMinute ~= 4 then RN.notRunYetRealNumbersCalendarInfo = true; end;
	if runMinute == 4 or RN.upStartRealNumbersCalendarInfo then
		if RN.notRunYetRealNumbersCalendarInfo then
			if g_currentMission.environment.currentMonotonicDay ~= RN.currentMonotonicDay then
				local currentMonth = (g_currentMission.environment.currentPeriod + 2) % 12;	 -- March is apparently month 1
				if currentMonth == 0 then currentMonth = 12; end;
				print("\n RealNumbersCalendarInfo:update \n");
				
				myPrint("current year",g_currentMission.environment.currentYear,textWidth," ");
				myPrint("current Season",g_currentMission.environment.currentSeason,textWidth," ");
				myPrint("current period",g_currentMission.environment.currentPeriod,textWidth," ");
				myPrint("current month",currentMonth,textWidth," ");
				myPrint("current year",g_currentMission.environment.currentYear,textWidth," ");	
				myPrint("current Day In Season",g_currentMission.environment.currentDayInSeason,textWidth," ");
				myPrint("days Per Period",g_currentMission.environment.daysPerPeriod,textWidth," ");
				myPrint("current Day In Period",g_currentMission.environment.currentDayInPeriod,textWidth," ");
				myPrint("current Monotonic Day",g_currentMission.environment.currentMonotonicDay,textWidth," ");
				myPrint("currentDay",g_currentMission.environment.currentDay,textWidth," ");
				myPrint("current Hour",g_currentMission.environment.currentHour,textWidth," ");
				myPrint("current Minute",g_currentMission.environment.currentMinute,textWidth," ");
				if RN.animalScaling ~= nil then
					if RN.animalScaling.isGrazingPeriod then
						print("current month is a grazing month");
					else
						print("curent month is not a grazing month");
					end;
				end;
				print(" ");
				RN.currentMonotonicDay = g_currentMission.environment.currentMonotonicDay;
			end;
--			GameSettings:saveToXMLFile(GameSettings.SETTING,xmlFile);
--			saveXMLFile(xmlFile);
--			delete(xmlFile);
		end;
		RN.notRunYetRealNumbersCalendarInfo = false;
		RN.upStartRealNumbersCalendarInfo = false;	
	end;
end;
function RealNumbersCalendarInfo:draw()
end;
function RealNumbersCalendarInfo:deleteMap()
end;
function RealNumbersCalendarInfo:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersCalendarInfo);







