--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersHarvestBonusScaling by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.1.0
-- Version 1.0.1.1 - no change
-- Version 1.0.1.2 - no change
-- Version 1.0.1.3 - no change
-- Version 1.0.1.4 - no change
-- Version 1.0.1.5 - no change
-- Version 1.0.1.6 - no change
-- Version 1.0.1.7 - no change
-- Version 1.0.1.8 - no change
-- Version 1.0.1.9 - no change
-- Version 1.0.2.0 - no change
-- Version 1.0.2.1 - no change
-- Version 1.0.2.2 - no change
-- Version 1.0.2.3 - no change

RealNumbersHarvestBonusScaling = {};

function myPrint(text, number, textWidth, unit)
	print(string.format("%s =  %8.0f %s", text..string.rep(" ",textWidth-string.len(text)),number,"    "..unit));
end;

function myPrintFloat(text, number, textWidth, unit)
	print(string.format("%s =  %12.4f %s", text..string.rep(" ",textWidth-string.len(text)),number, unit));
end;


function RealNumbersHarvestBonusScaling:loadMap(name)
	local textWidth = 40;	
	print("\n --- RealNumbersHarvestBonusScaling.lua started --- \n");
	
	if g_currentMission ~= nil then
		g_currentMission.harvestRollerRatio 			= 0.025;	-- vanilla game default 0.0025
		g_currentMission.harvestStubbleScaleRatio 		= 0.025;	-- vanilla game default 0.0025
		g_currentMission.harvestWeedScaleRatio 			= 0.2;		-- vanilla game default 0.2
		g_currentMission.harvestLimeScaleRatio 			= 0.15;		-- vanilla game default 0.15
		g_currentMission.harvestPlowScaleRatio 			= 0.15;		-- vanilla game default 0.15
		g_currentMission.harvestSprayScaleRatio 		= 0.45;		-- vanilla game default 0.45

		print("\n --- Relative contributions to harvest yield bonus --- \n");
		
		myPrintFloat("Roller bonus",g_currentMission.harvestRollerRatio,textWidth," ");
		myPrintFloat("Stuble cultivation bonus",g_currentMission.harvestStubbleScaleRatio,textWidth," ");
		myPrintFloat("Weeding bonus",g_currentMission.harvestWeedScaleRatio,textWidth," ");		
		myPrintFloat("Lime bonus",g_currentMission.harvestLimeScaleRatio,textWidth," ");
		myPrintFloat("Plow bonus",g_currentMission.harvestPlowScaleRatio,textWidth," ");
		myPrintFloat("Fertilizing bonus",g_currentMission.harvestSprayScaleRatio,textWidth," ");

		local total = g_currentMission.harvestRollerRatio + g_currentMission.harvestStubbleScaleRatio
					+ g_currentMission.harvestWeedScaleRatio + g_currentMission.harvestLimeScaleRatio
					+ g_currentMission.harvestPlowScaleRatio + g_currentMission.harvestSprayScaleRatio;
		
		print("\n --- These numbers must add up to 1.00, your sum is "..total);
		print("\n --- The numbers are percentage of the base yield --- ");
		print(" --- The max yield including max yield bonus is two times the base yield --- \n");
		print(" --- If the base yield is 5000 Liters/ha and your numbers are used, then \n");
		
		myPrint(" --- Rolling will add ", 5000 * g_currentMission.harvestRollerRatio, textWidth, "Liters/ha");
		myPrint(" --- Cultivating stuble will add ", 5000 * g_currentMission.harvestStubbleScaleRatio,textWidth,"Liters/ha");		
		myPrint(" --- Weeding will add ", 5000 * g_currentMission.harvestWeedScaleRatio,textWidth,"Liters/ha ");		
		myPrint(" --- Spreding lime will add ", 5000 * g_currentMission.harvestLimeScaleRatio,textWidth,"Liters/ha ");
		myPrint(" --- Plowing will add ", 5000 * g_currentMission.harvestPlowScaleRatio,textWidth,"Liters/ha ");
		myPrint(" --- Fertilizing two times will add ", 5000 * g_currentMission.harvestSprayScaleRatio,textWidth,"Liters/ha ");
		

	end;

	print("\n --- RealNumbersHarvestBonusScaling.lua finished --- \n");

end;


function RealNumbersHarvestBonusScaling:keyEvent(unicode, sym, modifier, isDown)
end;
function RealNumbersHarvestBonusScaling:update(dt)
end;
function RealNumbersHarvestBonusScaling:draw()
end;
function RealNumbersHarvestBonusScaling:deleteMap()
end;
function RealNumbersHarvestBonusScaling:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersHarvestBonusScaling);







