--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersLeasi8ng by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.1.0
-- Version 1.0.1.1 - no change
-- Version 1.0.1.2 - no change
-- Version 1.0.1.3 - no change
-- Version 1.0.1.4 - no change
-- Version 1.0.1.5 - no change
-- Version 1.0.1.6 - no change
-- Version 1.0.1.7 - no change
-- Version 1.0.1.8 - no change
-- Version 1.0.1.9 - no change
-- Version 1.0.2.0 - no change
-- Version 1.0.2.1 - no change
-- Version 1.0.2.2 - no change
-- Version 1.0.2.3 - no change

RealNumbersLeasing = {};

function print_r (t, indent, done)
  done = done or {}
  indent = indent or ''
  local nextIndent -- Storage for next indentation value
  for key, value in pairs (t) do
    if type (value) == "table" and not done [value] then
      nextIndent = nextIndent or
          (indent .. string.rep(' ',string.len(tostring (key))+2))
          -- Shortcut conditional allocation
      done [value] = true
      print (indent .. "[" .. tostring (key) .. "] => Table {");
      print  (nextIndent .. "{");
      print_r (value, nextIndent .. string.rep(' ',2), done)
      print  (nextIndent .. "}");
    else
      print  (indent .. "[" .. tostring (key) .. "] => " .. tostring (value).."")
    end
  end
end

function RealNumbersLeasing:loadMap(name)

	print("\n --- RealNumbersLeasing.lua started --- \n");
	RN.notRunYetRealNumbersLeasing = true;
	RN.upStartRealNumbersLeasing = true;
	RN.DEFAULT_RUNNING_LEASING_FACTOR 	= 0.0;		-- default RLN value = 0
	RN.PER_DAY_LEASING_FACTOR 			= 0.001;	-- default RLN value = 0.001 (0.1 % of purchase price per day)
	RN.DEFAULT_LEASING_DEPOSIT_FACTOR 	= 0.0;		-- default RLN value = 0
--	RN.annualLoanInterest 				= 50;		-- about 5% anual interest - default RLN value = 100; vanilla game = 300
	
	for i, v in pairs(g_storeManager.items) do		  
		if g_storeManager.items[i].runningLeasingFactor   ~= nil then
			g_storeManager.items[i].runningLeasingFactor   = g_storeManager.items[i].runningLeasingFactor * RN.DEFAULT_RUNNING_LEASING_FACTOR;
		end;
	end;	
	print("\n --- RealNumbersLeasing.lua updates every 10 min --- \n");
end;


function RealNumbersLeasing:keyEvent(unicode, sym, modifier, isDown)
end;

function RealNumbersLeasing:update(dt)
	local minute = g_currentMission.environment.currentMinute;
	local runMinute = minute % 10; -- remainder
	if runMinute ~= 6 then RN.notRunYetRealNumbersLeasing = true; end;
	if runMinute == 6 or RN.upStartRealNumbersLeasing then 
		if RN.notRunYetRealNumbersLeasing then			
			if g_storeManager.items ~= nil then
				for k,items in pairs(g_storeManager.items) do
					if items.allowLeasing then
						items.runningLeasingFactor = RN.DEFAULT_RUNNING_LEASING_FACTOR;
					end;
				end;
			end;
			EconomyManager.DEFAULT_RUNNING_LEASING_FACTOR = RN.DEFAULT_RUNNING_LEASING_FACTOR;
			EconomyManager.PER_DAY_LEASING_FACTOR = RN.PER_DAY_LEASING_FACTOR;
			EconomyManager.DEFAULT_LEASING_DEPOSIT_FACTOR = RN.DEFAULT_LEASING_DEPOSIT_FACTOR;
			EconomyManager.MAX_DAILYUPKEEP_MULTIPLIER = 0.0010;
--			Farm.LOAN_INTEREST_RATE = RN.annualLoanInterest; -- set in RealNumbersMaintenanceCost.lua 
		end;
		RN.notRunYetRealNumbersLeasing = false;
		RN.upStartRealNumbersLeasing = false;
	end;
end;
function RealNumbersLeasing:draw()
end;
function RealNumbersLeasing:deleteMap()
end;
function RealNumbersLeasing:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersLeasing);







