--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersStoneScaling by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.1.0
-- Version 1.0.1.1 - no change
-- Version 1.0.1.2 - no change
-- Version 1.0.1.3 - no change
-- Version 1.0.1.4 - no change
-- Version 1.0.1.5 - no change
-- Version 1.0.1.6 - no change
-- Version 1.0.1.7 - no change
-- Version 1.0.1.8 - no change
-- Version 1.0.1.9 - no change
-- Version 1.0.2.0 - no change
-- Version 1.0.2.1 - no change
-- Version 1.0.2.2 - no change
-- Version 1.0.2.3 - no change

RealNumbersStoneScaling = {};

function RealNumbersStoneScaling:loadMap(name)

	print("\n --- RealNumbersStoneScaling.lua started --- \n");
	
	RN.stoneYieldScaling 	= 1/5;		-- scaling stone yield when picking. Does not affect spawning density.
	RN.stoneSizeScaling 	= 1/2;		-- scaling stone size. Stone size less than 1 is hardly visible.
	RN.stoneWearScaling 	= 	RN.stoneSizeScaling *	RN.stoneSizeScaling; -- Equipment wear by stones scales quadratically with stone size.

	g_currentMission.stoneSystem.litersPerSqm 	= RN.stoneYieldScaling * g_currentMission.stoneSystem.litersPerSqm;	-- default RLN value = 0.1 vanilla game = 5  - Yield when picking 
	g_currentMission.stoneSystem.minValue 		= RN.stoneSizeScaling  * g_currentMission.stoneSystem.minValue;		-- default RLN value = 0.1 vanilla game = 2  - Minimum stone size
	g_currentMission.stoneSystem.maxValue 		= RN.stoneSizeScaling  * g_currentMission.stoneSystem.maxValue;		-- default RLN value = 0.1 vanilla game = 4  - Maximum stone size 
	g_currentMission.stoneSystem.pickedValue 	= 5;	-- default RLN value = 5 vanilla game = 5  - Unknown
	
	for i, v in pairs(g_currentMission.stoneSystem.wearByType) do
		for k = 1,3 do
			v[k] = v[k] * RN.stoneWearScaling;			
		end;	  
	end;	

	print("\n --- RealNumbersStoneScaling.lua finished --- \n");
end;


function RealNumbersStoneScaling:keyEvent(unicode, sym, modifier, isDown)
end;
function RealNumbersStoneScaling:update(dt)
end;
function RealNumbersStoneScaling:draw()
end;
function RealNumbersStoneScaling:deleteMap()
end;
function RealNumbersStoneScaling:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersStoneScaling);







