

myTest = {};


function myPrintText(text, text2, textWidth, unit)
	print(string.format("%s =  %s %s", text..string.rep(" ",textWidth-string.len(text)),text2,"    "..unit));
end;

function myPrintBoolean(text, boolean, textWidth, unit)
	print(string.format("%s =  %s %s", text..string.rep(" ",textWidth-string.len(text)),"   "..tostring(boolean),"    "..unit));
end;

function myPrintFillTypeName(iFillType, text)
	print(string.format("		RN2.fillTypeName[%d]       = \"%s\";", iFillType, text));
end;
function myPrintPricePerLiter(iFillType, number)
	print(string.format("		RN2.pricePerLiter[%d]      = %10.4f;", iFillType, number));
end;
function myPrintMassPerLiter(iFillType, number)
	print(string.format("		RN2.massPerLiter[%d]       = %10.4f;", iFillType, number));
end;
function myPrintFruitTypeName(iFruitType, text)
	print(string.format("		RN2.fruitTypeName[%d]      = \"%s\";", iFruitType, text));
end;
function myPrintLiterPerSqm(iFruitType, number)
	print(string.format("		RN2.literPerSqm[%d]        = %10.4f;", iFruitType, number));
end;
function myPrintSeedUsagePerSqm(iFruitType, number)
	print(string.format("		RN2.seedUsagePerSqm[%d]    = %10.4f;", iFruitType, number));
end;
function myPrintWindrowLiterPerSqm(iFruitType, number)
	print(string.format("		RN2.windrowLiterPerSqm[%d] = %10.4f;", iFruitType, number));
end;

function myPrintFieldInfo5(farmlandId, landArea,  landPrice, currency, owned)
	print(string.format("Farmland %3.0f: Land area = %4.1f ha,  Price = %7.0f %s, Ownership: %s",  farmlandId*1.0, landArea, landPrice*1.0, tostring(currency), tostring(owned)));
end;

function  myPrintFieldInfo6(fieldId, fieldArea, fruitName)
print(string.format("              Field %3.0f: Field area = %4.1f ha,   Fruit: %s",  fieldId*1.0, fieldArea, tostring(fruitName)));
end;

function myTest:loadMap()
end;

function myTest:keyEvent(unicode, sym, modifier, isDown)
	local currency = " ";
	local isDebug = true;
	local isDebug2 = false;
	local myFarmland = {};
	local myFarmlandTable = {};
	local lime = {};
	local soil = {};
	local fieldData = {};
	local idx = 0;
	local pen = {};
	local kmFee = 0;
	local objectFee = 0;
    local textWidth = 40;
	local Fruits = {"Wheat", "Barley", "Oat", "Cotton", "Canola", "Sunflower", "Soybean", "Maize", "Potato", "Sugarbeet", "Oilseed Radish", "Poplar","Grass","Drygrass","Sugarcane","Weed"};
	local gameMoneyUnit = g_i18n.moneyUnit;
	if gameMoneyUnit == 1 then
        currency = "€";
	elseif gameMoneyUnit == 2 then
        currency = "$";
	elseif gameMoneyUnit == 3 then
        currency = "£";
	end;



	if Input.isKeyPressed(Input.KEY_lalt) and Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_i) then
		print("Left Alt-ri pressed");
		-- AnimalHusbandry:getNumOfAnimals()

--		DebugUtil.printTableRecursively(g_gameSettings,"_",0,5);		--working
--		DebugUtil.printTableRecursively(g_gameSettings.SETTING,"_",0,5);		--working
--		DebugUtil.printTableRecursively(g_helperManager ,"_",0,5);		
--		DebugUtil.printTableRecursively(NitrogenMap,"_",0,5);
--		DebugUtil.printTableRecursively(g_precisionFarming.soilMap,"_",0,4);

-- Farm

--		DebugUtil.printTableRecursively(g_farmManager,"_",0,4);
--		DebugUtil.printTableRecursively(g_farmManager.farms,"_",0,2);
--		DebugUtil.printTableRecursively(g_farmlandManager,"_",0,2);

-- Fields

--		DebugUtil.printTableRecursively(g_fieldManager,"_",0,2);		--working
--		DebugUtil.printTableRecursively(fieldData,"_",0,4);				-- No info
--		DebugUtil.printTableRecursively(g_fieldManager.farmlandIdFieldMapping,"_",0,3);
--		DebugUtil.printTableRecursively(g_groundTypeManager ,"_",0,5);	
--		DebugUtil.printTableRecursively(g_currentMission.fieldGroundSystem ,"_",0,2);	-- working

-- Forestry
--		DebugUtil.printTableRecursively(g_splitTypeManager,"_",0,4);		--working


-- Filltypes and Fruittypes

		DebugUtil.printTableRecursively(g_fillTypeManager,"_",0,5);
		DebugUtil.printTableRecursively(g_fruitTypeManager,"_",0,5);
--		DebugUtil.printTableRecursively(g_densityMapHeightManager,"_",0,5);

-- BALES

--		DebugUtil.printTableRecursively(g_baleTypeManager,"_",0,2);				-- not working in FS22
--		DebugUtil.printTableRecursively(g_baleManager,"_",0,4);					-- works in FS22
--		DebugUtil.printTableRecursively(g_baleTypeManager.baleTypes,"_",0,4);
--		DebugUtil.printTableRecursively(g_baleTypeManager.squareBales,"_",0,4);

--		DebugUtil.printTableRecursively(g_sprayTypeManager,"_",0,3);
--		DebugUtil.printTableRecursively(g_splitTypeManager,"_",0,5);



-- Animals

		DebugUtil.printTableRecursively(g_currentMission.animalSystem,"_",0,4);               
--		DebugUtil.printTableRecursively(g_currentMission.animalSystem.subTypes,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.animalSystem.animals,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.animalSystem.numAnimals,"_",0,5);   -- returns a number
--		DebugUtil.printTableRecursively(g_currentMission.animalSystem.fillTypeToAnimal,"_",0,5);
--		DebugUtil.printTableRecursively(g_animalFoodManager,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.animalFoodSystem ,"_",0,4);

-- Economy 

--		DebugUtil.printTableRecursively(g_economyManager,"_",0,4);				- no good
--		DebugUtil.printTableRecursively(AIJob,"_",0,4);

-- Mission

--		DebugUtil.printTableRecursively(g_i18n,"_",0,4);								-- working but not much information
--		DebugUtil.printTableRecursively(g_missionManager,"_",0,4);
--		DebugUtil.printTableRecursively(g_missionManager.fieldToMission,"_",0,4);
--		DebugUtil.printTableRecursively(g_missionManager.missionTypeIdToType,"_",0,4);
--        DebugUtil.printTableRecursively(g_missionManager.missionTypes,"_",0,2);
--	    DebugUtil.printTableRecursively(g_missionManager.missions,"_",0,2);

-- Vehicles

--		DebugUtil.printTableRecursively(g_vehicleTypeManager,"_",0,5); 	-- No information
--		DebugUtil.printTableRecursively(g_vehicleTypeManager:getVehicleTypeByName('tractor'),"_",0,8);		
--		DebugUtil.printTableRecursively(g_vehicleTypeManager:getVehicleTypeByName('PALLET'),"_",0,8);		-- does not work			

--		DebugUtil.printTableRecursively(g_npcManager,"_",0,8);		--working
--		DebugUtil.printTableRecursively(g_helperManager,"_",0,3);	--working

-- Store

--		DebugUtil.printTableRecursively(g_storeManager,"_",0,1);
--		DebugUtil.printTableRecursively(g_storeManager.items,"_",0,2);
--		DebugUtil.printTableRecursively(g_storeManager.specTypes,"_",0,2);
--		DebugUtil.printTableRecursively(g_storeManager.categories.ANIMALS,"_",0,5);   		-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.ANIMALPENS,"_",0,5);		-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.BALES,"_",0,5);			-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.BIGBAGS,"_",0,3);			-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.BIGBAGPALLETS,"_",0,5);	-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.PALLETS,"_",0,5);			-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.TREES,"_",0,5);			-- works but almost no info
--		DebugUtil.printTableRecursively(g_storeManager.categories.WOOD,"_",0,5);			-- works but almost no info

--		DebugUtil.printTableRecursively(g_storeManager.categories.REALISTICSEEDER,"_",0,6);	
--		DebugUtil.printTableRecursively(g_storeManager.categories.PLACEABLES,"_",0,8);		-- nil
--		DebugUtil.printTableRecursively(g_storeManager.shopController,"_",0,4); 			-- nil

-- Seasons

--		DebugUtil.printTableRecursively(g_seasons,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.animals,"_",0,2);
--		DebugUtil.printTableRecursively(g_seasons.animals.ui,"_",0,2);
--		DebugUtil.printTableRecursively(g_seasons.animals.animalFoodManager,"_",0,6);
--		DebugUtil.printTableRecursively(g_seasons.animals.mission ,"_",0,2);
--		DebugUtil.printTableRecursively(g_seasons.animals.animalManager,"_",0,4);
--		DebugUtil.printTableRecursively(g_seasons.animals.animalManager.indexToAnimal,"_",0,5);
--		DebugUtil.printTableRecursively(g_seasons.animals.data,"_",0,2);
--		DebugUtil.printTableRecursively(g_seasons.animals.grazing ,"_",0,2);

--		DebugUtil.printTableRecursively(g_seasons.economy.farmManager,"_",0,5);
--		DebugUtil.printTableRecursively(g_seasons.economy.data,"_",0,5);
--		DebugUtil.printTableRecursively(g_seasons.economy.data.mission.loadItemsById,"_",0,4);
--		DebugUtil.printTableRecursively(g_seasons.economy.data.mission,"_",0,5);

--		DebugUtil.printTableRecursively(g_seasons.environment,"_",0,2);
--		DebugUtil.printTableRecursively(g_seasons.weather,"_",0,2);

--		DebugUtil.printTableRecursively(g_seasons.ui,"_",0,2);
--		DebugUtil.printTableRecursively(g_seasons.ui.fieldInfo,"_",0,2);		
--		DebugUtil.printTableRecursively(g_seasons.ui.mission,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.ui.growth,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.ui.hud,"_",0,1);

--		DebugUtil.printTableRecursively(g_seasons.mission,"_",0,1);		
--		DebugUtil.printTableRecursively(g_seasons.mission.fruitsList,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.mission.fieldCropsUpdaters,"_",0,2);		
--		DebugUtil.printTableRecursively(g_seasons.mission.economyManager,"_",0,1);		
--		DebugUtil.printTableRecursively(g_seasons.mission.missionDynamicInfo,"_",0,1);	
--		DebugUtil.printTableRecursively(g_seasons.mission.fruitTypeManager,"_",0,5);
--		DebugUtil.printTableRecursively(g_seasons.mission.fruits,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.mission.missionInfo,"_",0,1);		
--		DebugUtil.printTableRecursively(g_seasons.mission.densityMapModifiers,"_",0,3);
--		DebugUtil.printTableRecursively(g_seasons.mission.fieldCropsQuery,"_",0,3);		
--		DebugUtil.printTableRecursively(g_seasons.mission.fillTypeManager,"_",0,5);	
--		DebugUtil.printTableRecursively(g_seasons.mission.husbandries,"_",0,1);		
--		DebugUtil.printTableRecursively(g_seasons.mission.placeables,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.mission.animalController,"_",0,1);

--		DebugUtil.printTableRecursively(g_seasons.growth,"_",0,2);	
--		DebugUtil.printTableRecursively(g_seasons.growth.fruitTypeManager,"_",0,1);		
--		DebugUtil.printTableRecursively(g_seasons.growth.cropRotation,"_",0,1);	
--		DebugUtil.printTableRecursively(g_seasons.growth.sprayTypeManager,"_",0,1);	
--		DebugUtil.printTableRecursively(g_seasons.growth.manager,"_",0,1);		
--		DebugUtil.printTableRecursively(g_seasons.growth.mission,"_",0,1);
--		DebugUtil.printTableRecursively(g_seasons.growth.mission.densityMapModifiers,"_",0,3);
--		DebugUtil.printTableRecursively(g_seasons.growth.data,"_",0,2);		
--		DebugUtil.printTableRecursively(g_seasons.growth.fruitTypes,"_",0,1);		

-- currentMission

--		DebugUtil.printTableRecursively(g_currentMission,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.animalSystem,"_",0,4);
--		DebugUtil.printTableRecursively(g_currentMission.animalSystem.types,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.animalFoodSystem,"_",0,4);
--		DebugUtil.printTableRecursively(g_currentMission.ownedItems,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.environment,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.shopMenu,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.husbandrySystem,"_",0,4);
--		DebugUtil.printTableRecursively(g_currentMission.husbandries.modulesByName.animals.animals,"_",0,3);			
--		DebugUtil.printTableRecursively(g_currentMission.placeableSystem,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.placeableSystem.placeables,"_",0,4);
--		DebugUtil.printTableRecursively(g_currentMission.placeables.sellingStation,"_",0,3);			
--		DebugUtil.printTableRecursively(g_currentMission.fruitsList,"_",0,8);
--		DebugUtil.printTableRecursively(g_currentMission.fruits,"_",0,4);
--		DebugUtil.printTableRecursively(g_currentMission.fruitTypeManager,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.fillTypeManager,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.sprayTypeManager,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.missionFruitTypes,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.displayCropTypes,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.missionInfo,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.masterUsers,"_",0,8);				-- nil
--		DebugUtil.printTableRecursively(g_currentMission.economyManager,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.trainSystems,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.aiSystems,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.farmingPrecision,"_",0,4);

--		DebugUtil.printTableRecursively(g_currentMission.inGameMenu,"_",0,4); 
--		DebugUtil.printTableRecursively(g_currentMission.vehicles,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.vehicleSaleSystem,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.itemSystem,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.mixerWagons,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.leasedVehicles,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.enterables,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.specializations,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.modManager,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.growthSystem,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.growthSystem.seasonalFruitData ,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.growthSystem.nonSeasonalFruitData ,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.growthSystem.growthQueue,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.growthSystem.fieldCropsUpdaters ,"_",0,3);
--		DebugUtil.printTableRecursively(g_currentMission.manureHeaps,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.storageSystem,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.densityHeightMapModifiers,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.densityMapModifiers,"_",0,5);
--		DebugUtil.printTableRecursively(g_currentMission.animalController,"_",0,5);
 

--		DebugUtil.printTableRecursively(g_currentMission.shopController,"_",0,2); 
--		DebugUtil.printTableRecursively(g_currentMission.shopController.ownedFarmItems,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.shopController.leasedFarmItems,"_",0,2);
--		DebugUtil.printTableRecursively(g_currentMission.shopController.displayToolCategories,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.shopController.displayPlaceableCategories,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.shopController.displayObjectCategories,"_",0,1);
--		DebugUtil.printTableRecursively(g_currentMission.shopController.displayVehicleCategories,"_",0,1);





	end;

end;

function myTest:update(dt)
end;
function myTest:draw()
end;
function myTest:deleteMap()
end;
function myTest:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(myTest);
